#pragma once

#include "v3.h"
#include "m3x3.h"
class FrameBuffer;

class PPC {
public:
  V3 a, b, c, C;
  int w, h;
  PPC(int _w, int _h, float hfov);
  bool Project(V3 P, V3& projP);
  void TranslateRight(float tstep);
  void TranslateUp(float tstep);
  void TranslateForward(float tstep);
  void ZoomIn(float f);
  V3 GetVD();
  float GetF();
  PPC Interpolate(PPC* ppcn, int fi, int fN);
  void RotateAboutAxisThroughC(V3 axis, float rstep);
};